-- **************************************************************************
-- PURPOSE:Migrate from 6.111 to 6.112
-- **************************************************************************
connect owner/ownerpass
set echo on
SET AUTOCOMMIT ON
spool logs/step2.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;

--update tmt_settings with latest client version and build numbers

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.5.2.31', DESCRIPTION = '6.5.2.31'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.5.2.31'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.1.1.2'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.1.1.2'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';    


DROP INDEX TWKFL_EID_ST_CD_XX;
CREATE INDEX TWKFL_EID_ST_CD_XX ON TMT_WORKFLOWS
		(ELEMENT_ID ASC,
		 WKF_STATUS ASC,
		 CREATED_DATE ASC);
		 
DROP INDEX WKFRP_RID_XX;
CREATE INDEX WKFRP_RID_XX ON WORKFLOW_REPLIES
		(RESOURCE_ID ASC,
    		REPLY_TYPE ASC)
		PCTFREE 30 ; 

@plbddl/Sequences.sql
@plbddl/triggers.sql

@utils/recompile

spool off;
exit;
